summaryrefslogtreecommitdiffstatshomepage
path: root/3rdparty/zstd/tests/cli-tests/compression/multi-threaded.sh
diff options
context:
space:
mode:
Diffstat (limited to '3rdparty/zstd/tests/cli-tests/compression/multi-threaded.sh')
-rwxr-xr-x3rdparty/zstd/tests/cli-tests/compression/multi-threaded.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/3rdparty/zstd/tests/cli-tests/compression/multi-threaded.sh b/3rdparty/zstd/tests/cli-tests/compression/multi-threaded.sh
new file mode 100755
index 00000000000..17a5eb5186b
--- /dev/null
+++ b/3rdparty/zstd/tests/cli-tests/compression/multi-threaded.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -e
+
+# Test multi-threaded flags
+zstd --single-thread file -f -q ; zstd -t file.zst
+zstd -T2 -f file -q ; zstd -t file.zst
+zstd --rsyncable -f file -q ; zstd -t file.zst
+zstd -T0 -f file -q ; zstd -t file.zst
+zstd -T0 --auto-threads=logical -f file -q ; zstd -t file.zst
+zstd -T0 --auto-threads=physical -f file -q ; zstd -t file.zst
+
+# multi-thread decompression warning test
+zstd -T0 -f file -q ; zstd -t file.zst; zstd -T0 -d file.zst -o file3
+zstd -T0 -f file -q ; zstd -t file.zst; zstd -T2 -d file.zst -o file4